/**
 * Copyright (c) 2008 Washington University
 */
package org.nrg.xnat.filestore;

import java.net.URI;
import java.sql.Connection;
import java.sql.SQLException;
import java.util.Collection;
import java.util.Map;

import org.nrg.xnat.tags.TagLabel;


/**
 * @author Kevin A. Archie <karchie@npg.wustl.edu>
 *
 */
public interface URIBuilder {
    public URI buildURI(final Connection c, final Map<TagLabel,Collection<String>> metadata, final String filename) throws SQLException;
}
